#include "ExampleApplication.h"
#include "MyFrameListener.h"
#include "NxOgre.h"

using namespace NxOgre;

class TestApplication : public ExampleApplication
{
public:
    TestApplication();
    ~TestApplication();

	//virtual void go();
protected:

	AnimationState* mAnimState;

    void createScene();
	void createCamera();
	void createViewports();
	void createFrameListener();

	World* mWorld;
	Scene* mScene;
	
	Body* createShape(String mesh, NxOgre::Shape* shape,Vector3 size, ActorParams ap, NxString material, Vector3 offset, bool dynamic, bool castShadows);

	Body* createCube(Vector3 size, ActorParams ap, NxString material, Vector3 offset, bool dynamic = true, bool castShadows = true);
	Body* createSphere(double radius, ActorParams ap, NxString material, Vector3 offset, bool dynamic=true, bool castShadows=true);

	Body* cameraBody;

	int bCount;
};